Subject: Re: [PATCH net-next v2 1/4] net: phy: start state machine in phy_start only

From: Andrew Lunn <[email-masked]>
Date: Mon, 21 Jan 2019 17:35:06 +0100

On Sun, Jan 20, 2019 at 10:01:15AM +0100, Heiner Kallweit wrote:
> The state machine is a no-op before phy_start() has been called.
> Therefore let's enable it in phy_start() only. In phy_start()
> let's call phy_start_machine() instead of phy_trigger_machine().
> phy_start_machine is an alias for phy_trigger_machine but it makes
> clearer that we start the state machine here instead of just
> triggering a run.

Hi Heiner

Documentation/networking/phy.txt has a section "Doing it all yourself"
It would be good to review that, and make sure that documentation is
still valid. I'm not sure any MAC driver actually does do it all
itself. So it might be worth reviewing the whole document and making
updates to remove parts of the text.

	Andrew